package com.mx.dla.dda.contrato.generales;

import java.util.Calendar;
import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import com.mx.dla.dda.common.test.BaseDaoTest;
import com.mx.dla.dda.contrato.generales.daos.OpcionesContratoDAO;

public class OpcionesContratoDAOTest extends BaseDaoTest{
	
	@Autowired
	private OpcionesContratoDAO opcionesContratoDAO;
	
	@Test(enabled = false)
	public void pruebaObtenerIdFacturas(){
		
		Calendar c = Calendar.getInstance();
		
		c.setTime(new Date());
		
		c.set(Calendar.YEAR, 2015);
		c.set(Calendar.DAY_OF_MONTH, 14);
		c.set(Calendar.MONTH, 10);
		
		
		List<Long> ids = opcionesContratoDAO.obtenerIdFacturas(c.getTime(), 20L);
		
		logger.info("ids : {}", ids);
	}

}
